summaryrefslogtreecommitdiff
path: root/bin/menuscripts
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-04-28 09:01:48 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-04-28 09:01:48 +0200
commitc01cbb97074d5aac521a145174ae79705d654e1a (patch)
tree285be455d4dc24fc98896a47b9bd8e3b82751d37 /bin/menuscripts
parentcfca54e503988d4cf390bc9d93c5a477389421ce (diff)
fixed missing 'fi'
Diffstat (limited to 'bin/menuscripts')
-rwxr-xr-xbin/menuscripts/mhelp5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/menuscripts/mhelp b/bin/menuscripts/mhelp
index a9027ef..e03222b 100755
--- a/bin/menuscripts/mhelp
+++ b/bin/menuscripts/mhelp
@@ -14,17 +14,18 @@ else
menucmd="fzf"
fi
-test -z "${program}" && exit 1
+test -z "$program" && exit 1
if $program --help > "$OPTIONS"
then
- option="$(grep -E "^ *-[-a-Z]* " "$OPTIONS" |
+ option="$(grep "^ *-[-a-zA-Z0-9]* " "$OPTIONS" |
tr -s ' ' |
sort |
uniq |
column -l 2 -t |
$menucmd |
awk '{print $1}')"
+fi
test -z "$option" && exit 1